%define _enable_debug_packages	%{nil}
%define debug_package		%{nil}

Summary:	Examine and manipulate SpamAssassin's auto-whitelist db
Name:		nagios-check_whitelist
Version:	0
Release:	%mkrel 15
License:	Apache License
Group:		Networking/Other
URL:		https://www.apache.org/
Source0:	https://svn.apache.org/repos/asf/spamassassin/trunk/tools/check_whitelist
Source1:	check_whitelist.cfg
Requires:	nagios-plugins
BuildArch:  noarch

%description
Check or clean a SpamAssassin auto-whitelist (AWL) database file.

%prep
%setup -q -c -T

%build

%install
install -d %{buildroot}%{_datadir}/nagios/plugins
install -m 755 %{SOURCE0} %{buildroot}%{_datadir}/nagios/plugins/

install -d -m 755 %{buildroot}%{_sysconfdir}/nagios/plugins.d
cat > %{buildroot}%{_sysconfdir}/nagios/plugins.d/check_whitelist.cfg <<'EOF'
define command {
	command_name    check_whitelist
	command_line    %{_datadir}/nagios/plugins/check_whitelist --clean --min $ARG1$ $ARG2$
}
EOF

%files
%config(noreplace) %{_sysconfdir}/nagios/plugins.d/check_whitelist.cfg
%{_datadir}/nagios/plugins/check_whitelist




%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0-15.mga9
+ Revision: 1801975
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0-14.mga8
+ Revision: 1492166
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0-13.mga7
+ Revision: 1264648
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0-12.mga6
+ Revision: 945563
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0-11.mga5
+ Revision: 741838
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0-10.mga5
+ Revision: 682783
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0-9.mga4
+ Revision: 508086
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0-8.mga3
+ Revision: 360737
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 03 2011 ennael <ennael> 0-7.mga1
+ Revision: 63076
- clean spec file
- imported package nagios-check_whitelist


* Sat Dec 11 2010 Oden Eriksson <oeriksson@mandriva.com> 0-7mdv2011.0
+ Revision: 620470
- the mass rebuild of 2010.0 packages

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 0-6mdv2010.0
+ Revision: 440231
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - description is not a usage guide

* Mon Dec 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0-5mdv2009.1
+ Revision: 314658
- now a noarch package
- use a herein document for configuration
- reply on filetrigger for reloading nagios

* Tue Jul 29 2008 Thierry Vignaud <tv@mandriva.org> 0-4mdv2009.0
+ Revision: 253543
- rebuild

* Wed Feb 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0-2mdv2008.1
+ Revision: 163163
- whoops!, it can't be a noarch package :-)
- import nagios-check_whitelist


* Wed Feb 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0-1mdv2008.1
- initial Mandriva package
